Skip to main content
`Ctrl`+`K`

# DMPlexCreateLabelField

Create a field whose value is the label value for that point

## Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexCreateLabelField(DM dm, DMLabel label, Vec *val)

## Input Parameters

- dm - The `DMPLEX`

- label - The `DMLabel`

## Output Parameter

- val - The label value field

## Options Database Key

- -dm_label_view - Adds the label value field into the `DM` output from `-dm_view` using the same viewer

## See Also

DMPlex: Unstructured Grids, `DM`, `DMPLEX`, `DMView()`

## Level

intermediate

## Location

src/dm/impls/plex/plex.c

## Examples

src/snes/tutorials/ex27.c

Index of all DMPlex routines
Table of Contents for all manual pages
Index of all manual pages